<!-- $o = Supplier::class -->
<div class="row">
	<div class="col-12">
		<h3>Supplier Details</h3>
		<hr>
		@if(session()->has('success'))
			<span class="ml-3 pt-0 pb-0 pr-1 pl-1 btn btn-outline-success"><small>{{ session()->get('success') }}</small></span>
		@endif

		<form class="g-0 needs-validation" method="POST" enctype="multipart/form-data" role="form">
			@csrf

			<div class="row">
				<div class="col-4">
					<div class="row">
						<!-- Supplier Name -->
						<div class="col-9">
							<div class="form-group has-validation">
								<label for="name">Supplier Name</label>
								<input type="text" class="form-control form-control-border @error('name') is-invalid @enderror" id="name" name="name" placeholder="Supplier Name" value="{{ old('name',$o->name) }}" required>
								<span class="invalid-feedback" role="alert">
									@error('name')
										{{ $message }}
									@else
										Supplier Name required.
									@enderror
								</span>
							</div>
						</div>

						<!-- Supplier Active -->
						<div class="col-3">
							<div class="form-group">
								<div class="custom-control custom-switch custom-switch-off-danger custom-switch-on-success">
									<input type="checkbox" class="custom-control-input" id="active" name="active" {{ old('active',$o->active) ? 'checked' : '' }}>
									<label class="custom-control-label" for="active">Active</label>
								</div>
							</div>
						</div>
					</div>

					<div class="row">
						<!-- Address Lines -->
						<div class="col-12">
							<div class="form-group has-validation">
								<label for="address1">Address Lines</label>
								<input type="text" class="form-control form-control-border @error('address1') is-invalid @enderror" id="address1" name="address1" placeholder="Address1" value="{{ old('address1',$o->address1) }}" required>
								<input type="text" class="form-control form-control-border" id="address2" name="address2" placeholder="Address2" value="{{ old('address2',$o->address2) }}">
								<span class="invalid-feedback" role="alert">
									@error('address1')
										{{ $message }}
									@else
										Atleast 1 address line required.
									@enderror
								</span>
							</div>
						</div>
					</div>

					<div class="row">
						<!-- City -->
						<div class="col-12">
							<div class="form-group has-validation">
								<label for="city">City</label>
								<input type="text" class="form-control form-control-border @error('city') is-invalid @enderror" id="city" name="city" placeholder="City" value="{{ old('city',$o->city) }}">
								<span class="invalid-feedback" role="alert">
									@error('city')
										{{ $message }}
									@else
										City is required.
									@enderror
								</span>
							</div>
						</div>
					</div>

					<div class="row">
						<!-- State -->
						<div class="col-9">
							<div class="form-group has-validation">
								<label for="state">State</label>
								<input type="text" class="form-control form-control-border @error('state') is-invalid @enderror" id="state" name="state" placeholder="State" value="{{ old('state',$o->state) }}">
								<span class="invalid-feedback" role="alert">
									@error('state')
										{{ $message }}
									@else
										State is required.
									@enderror
								</span>
							</div>
						</div>

						<!-- Postal Code -->
						<div class="col-3">
							<div class="form-group has-validation">
								<label for="postcode">Postal Code</label>
								<input type="text" class="form-control form-control-border @error('postcode') is-invalid @enderror" id="postcode" name="postcode" placeholder="Postal Code" value="{{ old('postcode',$o->postcode) }}">
								<span class="invalid-feedback" role="alert">
									@error('postcode')
										{{ $message }}
									@else
										Postcode is required.
									@enderror
								</span>
							</div>
						</div>
					</div>
				</div>

				<div class="offset-1 col-4">
					<div class="row">
						<!-- Accounts Email -->
						<div class="col-12">
							<div class="form-group has-validation">
								<label for="accounts">Accounts Email</label>
								<input type="text" class="form-control form-control-border @error('supplier_details.accounts') is-invalid @enderror" id="accounts" name="supplier_details[accounts]" placeholder="Accounts Email" value="{{ old('supplier_details.accounts',($o->detail ? $o->detail->accounts : '')) }}">
								<span class="invalid-feedback" role="alert">
									@error('supplier_details.accounts')
										{{ $message }}
									@enderror
								</span>
							</div>
						</div>
					</div>

					<div class="row">
						<!-- Support Email -->
						<div class="col-12">
							<div class="form-group has-validation">
								<label for="support">Support Email</label>
								<input type="text" class="form-control form-control-border @error('supplier_details.support') is-invalid @enderror" id="support" name="supplier_details[support]" placeholder="Support Email" value="{{ old('supplier_details.support',($o->detail ? $o->detail->support : '')) }}">
								<span class="invalid-feedback" role="alert">
									@error('supplier_details.support')
										{{ $message }}
									@enderror
								</span>
							</div>
						</div>
					</div>

					<div class="row">
						<!-- Payment Details -->
						<div class="col-12">
							<div class="form-group has-validation">
								<label for="payments">Payment Details</label>
								<input type="text" class="form-control form-control-border @error('supplier_details.payments') is-invalid @enderror" id="payments" name="supplier_details[payments]" placeholder="Payment Details" value="{{ old('supplier_details.payments',($o->detail ? $o->detail->payments : '')) }}">
								<span class="invalid-feedback" role="alert">
									@error('supplier_details.payments')
										{{ $message }}
									@enderror
								</span>
							</div>
						</div>
					</div>
				</div>
			</div>

			<div class="row">
				<!-- Notes -->
				<div class="col-12">
					<div class="form-group has-validation">
						<label for="notes">Notes</label>
						<textarea class="form-control @error('supplier_details.notes') is-invalid @enderror" id="notes" name="supplier_details[notes]" placeholder="Notes...">{{ old('supplier_details.notes',($o->detail ? $o->detail->notes : '')) }}</textarea>
						<span class="input-helper">Notes.</span>
						<span class="invalid-feedback" role="alert">
							@error('supplier_details.notes')
								{{ $message }}
							@enderror
						</span>
					</div>
				</div>
			</div>

			<div class="row">
				<!-- Buttons -->
				<div class="col-12">
					<a href="{{ url('/home') }}" class="btn btn-danger">Cancel</a>
					@can('wholesaler')
						<button type="submit" name="submit" class="btn btn-success mr-0 float-right">@if ($o->exists)Save @else Add @endif</button>
					@endcan
				</div>
			</div>
		</form>
	</div>
</div>